<%@ Page Language="C#" %>
<%@ Import Namespace="CommerceBuilder.Common" %>
<%@ Import Namespace="CommerceBuilder.Data" %>
<%@ Import Namespace="System.Data" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void UpdateButton_Click(object sender, EventArgs e)
    {
        string updateSql = @"UPDATE ac_ShipMethods SET ServiceCode = 'Express Mail Flat Rate Envelope' WHERE ServiceCode = 'Express Mail Flat-Rate Envelope';
UPDATE ac_ShipMethods SET ServiceCode = 'Priority Mail Flat Rate Envelope' WHERE ServiceCode = 'Priority Mail Flat-Rate Envelope';
UPDATE ac_ShipMethods SET ServiceCode = 'Priority Mail Medium Flat Rate Box' WHERE ServiceCode = 'Priority Mail Flat-Rate Box';
UPDATE ac_ShipMethods SET ServiceCode = 'Priority Mail Large Flat Rate Box' WHERE ServiceCode = 'Priority Mail Large Flat-Rate Box';
UPDATE ac_ShipMethods SET ServiceCode = 'Global Express Guaranteed (GXG)' WHERE ServiceCode = 'Global Express Guaranteed';
UPDATE ac_ShipMethods SET ServiceCode = 'Express Mail International' WHERE ServiceCode = 'Express Mail International (EMS)';
UPDATE ac_ShipMethods SET ServiceCode = 'Express Mail International Flat Rate Envelope' WHERE ServiceCode = 'Express Mail International (EMS) Flat-Rate Envelope';
UPDATE ac_ShipMethods SET ServiceCode = 'Priority Mail International Large Flat Rate Box' WHERE ServiceCode = 'Priority Mail International Large Flat-Rate Box';
UPDATE ac_ShipMethods SET ServiceCode = 'Priority Mail International Medium Flat Rate Box' WHERE ServiceCode = 'Priority Mail International Flat-Rate Box';
UPDATE ac_ShipMethods SET ServiceCode = 'Priority Mail International Flat Rate Envelope' WHERE ServiceCode = 'Priority Mail International Flat-Rate Envelope';
UPDATE ac_ShipMethods SET ServiceCode = 'First-Class Mail International Letter' WHERE ServiceCode = 'First Class Mail International Letters';
UPDATE ac_ShipMethods SET ServiceCode = 'First-Class Mail International Flat' WHERE ServiceCode = 'First Class Mail International Flats';
UPDATE ac_ShipMethods SET ServiceCode = 'First-Class Mail International Parcel' WHERE ServiceCode = 'First Class Mail International Parcels';
UPDATE ac_ShipMethods SET ServiceCode = 'First-Class Mail International Large Envelope' WHERE ServiceCode = 'First Class Mail International Large Envelope';
UPDATE ac_ShipMethods SET ServiceCode = 'First-Class Mail International Package' WHERE ServiceCode = 'First Class Mail International Package';";
        Database database = Token.Instance.Database;
        database.ExecuteNonQuery(CommandType.Text, updateSql);
        UpdatePanel.Visible = false;
        FinishPanel.Visible = true;
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Patch USPS Service Names</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:Panel ID="UpdatePanel" runat="server">
        <strong><span style="font-size: 14pt">Patch USPS Service Names</span></strong><br />
        <br />
        This file will run a simple update on the ac_ShipMethods table to correct any outdated USPS
        service names if they are found.&nbsp; To apply the update, simply click the button
        below.<br />
        <br />
        <asp:Button ID="UpdateButton" runat="server" Text="Apply Update" OnClick="UpdateButton_Click" />
    </asp:Panel>
    <br />
    <asp:Panel ID="FinishPanel" runat="server" Visible="False">
        <strong><span style="font-size: 14pt">USPS Service Names Patched</span></strong><br />
        <br />
        The USPS service names have been updated.  You may now delete this file and return to the AbleCommerce Merchant administration.
    </asp:Panel>
    </form>
</body>
</html>
